# -*- coding: utf-8 -*-

def calc_info(user_infos):
    """
        calcule ENTPersonProfils : Profil d'utilisateur ENT
    """
    a = user_infos.get('FrEduRne')
    if a != None:
        # Cas d'une authentification académique (ie l'attribut FrEduRne existe)
        mail=user_infos.get('mail')[0].lower()
        # Recherche dans la base local (scribe) l'intid (ENTPersonJointure) de la personne
        import ldap
        try:
            l=ldap.open("localhost")
            base="ou=education,o=gouv,c=fr"
            filtre="FederationKey="+mail
            scope = ldap.SCOPE_SUBTREE
            retrieve_attributes = ['intid']
            result_id = l.search(base, scope, filtre, retrieve_attributes)
            result_type, result_data = l.result(result_id, 100)
            if (result_data == []):
                key=["SEHSAT-NoFederationKey from Replicat"]
            else:
                key=result_data[0][1]['intid']

        except ldap.LDAPError, error_message:
            key=["NODATA"]

    # Sinon si l'attribut FederationKey existe on l'utilise (Enseignat sur annuaire local)
    elif user_infos.get('FederationKey') != None:
        key=[user_infos.get('FederationKey')[0]]
    # Sinon on utilise l'intid qui correspond a ENTPersonJointure (Parents/Eleves)
    else:
        key=[user_infos.get('intid', ["NODATA"])[0]]

    return key


